org.osgi.framework.BundleException

Unresolved constraint in bundle org.sakaiproject.nakamura.securityloader [46]: Unable to resolve 46.0: missing requirement [46.0] package; (package=org.sakaiproject.nakamura.api.user) [caused by: Unable to resolve 102.0: missing requirement [102.0] package; (package=org.apache.solr.client.solrj) [caused by: Unable to resolve 72.0: missing requirement [72.0] package; (package=org.sakaiproject.nakamura.api.lite) [caused by: Unable to resolve 58.0: missing requirement [58.0] package; (package=com.mchange.v2.c3p0)]]]

Samebug tips0

We couldn't find tips for this exception.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web241

  • Stack trace

    • org.osgi.framework.BundleException: Unresolved constraint in bundle org.sakaiproject.nakamura.securityloader [46]: Unable to resolve 46.0: missing requirement [46.0] package; (package=org.sakaiproject.nakamura.api.user) [caused by: Unable to resolve 102.0: missing requirement [102.0] package; (package=org.apache.solr.client.solrj) [caused by: Unable to resolve 72.0: missing requirement [72.0] package; (package=org.sakaiproject.nakamura.api.lite) [caused by: Unable to resolve 58.0: missing requirement [58.0] package; (package=com.mchange.v2.c3p0)]]] at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3443) at org.apache.felix.framework.Felix.startBundle(Felix.java:1727) at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1156) at org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:264) at java.lang.Thread.run(Thread.java:662)

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    andyglickandyglick
    2 times, last one
    Unknown visitor
    Unknown visitorOnce,
    Unknown visitor
    Unknown visitorOnce,
    Unknown visitor
    Unknown visitorOnce,
    Unknown visitor
    Unknown visitorOnce,
    2 more bugmates